# All files / src/core/dom findComponentNode.ts

100% Statements 5/5
100% Branches 3/3
100% Functions 1/1
100% Lines 5/5

Press n or j to go to the next uncovered block, b, p or k for the previous block.

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    1x
    1x
    1x

    1x
     import { MPComponentInst, MPInst } from '../../types'
    import { getCurrentPage } from './getCurrentPage'

    /**
     * 获取自定义组件的实例
     *
     * @export
     * @template T
     * @param {string} selector
     * @param {MPInst} [dom=getCurrentPage()]
     * @return {*}  {(T | null)}
     */
    export function findComponentNode<T = MPComponentInst> (selector: string, dom: MPInst = getCurrentPage()): T | null {
      return (dom?.selectComponent(selector) as unknown) as T || null
    }